# PluginId

interface PluginId

A description of a plugin.

#### Since

3.5

## Functions

getId
Link copied to clipboard
abstract fun getId(): String
The fully qualified plugin ID.
getName
Link copied to clipboard
abstract fun getName(): String
The plugin name without the namespace.
getNamespace
Link copied to clipboard
@Nullable
abstract fun getNamespace(): @Nullable String
The namespace of the plugin or `null` if the ID contains no `.`.
withNamespace
Link copied to clipboard
abstract fun withNamespace(namespace: String): PluginId
Takes this unqualified plugin ID and adds a namespace.